=== modified file 'include/thr_lock.h'
--- include/thr_lock.h	2008-07-13 18:27:33 +0000
+++ include/thr_lock.h	2008-07-18 22:05:16 +0000
@@ -107,7 +107,6 @@
   pthread_cond_t *cond;
   enum thr_lock_type type;
   void *status_param;			/* Param to status functions */
-  void *debug_print_param;
 } THR_LOCK_DATA;
 
 struct st_lock_list {

=== modified file 'server/lock.cc'
--- server/lock.cc	2008-07-09 23:34:13 +0000
+++ server/lock.cc	2008-07-18 22:05:16 +0000
@@ -853,7 +853,6 @@
 	return(0);
       }
     }
-    THR_LOCK_DATA **org_locks = locks;
     locks_start= locks;
     locks= table->file->store_lock(thd, locks,
                                    (flags & GET_LOCK_UNLOCK) ? TL_IGNORE :
@@ -865,9 +864,6 @@
       table->lock_count=      (uint) (locks - locks_start);
     }
     *to++= table;
-    if (locks)
-      for ( ; org_locks != locks ; org_locks++)
-	(*org_locks)->debug_print_param= (void *) table;
   }
   /*
     We do not use 'tables', because there are cases where store_lock()

=== modified file 'server/sql_lex.h'
--- server/sql_lex.h	2008-07-17 21:07:09 +0000
+++ server/sql_lex.h	2008-07-18 22:05:16 +0000
@@ -99,34 +99,9 @@
 
 #ifdef MYSQL_SERVER
 
-enum enum_sp_data_access
-{
-  SP_DEFAULT_ACCESS= 0,
-  SP_CONTAINS_SQL,
-  SP_NO_SQL,
-  SP_READS_SQL_DATA,
-  SP_MODIFIES_SQL_DATA
-};
-
-const LEX_STRING sp_data_access_name[]=
-{
-  { C_STRING_WITH_LEN("") },
-  { C_STRING_WITH_LEN("CONTAINS SQL") },
-  { C_STRING_WITH_LEN("NO SQL") },
-  { C_STRING_WITH_LEN("READS SQL DATA") },
-  { C_STRING_WITH_LEN("MODIFIES SQL DATA") }
-};
-
 #define DERIVED_NONE	0
 #define DERIVED_SUBQUERY	1
 
-enum enum_drop_mode
-{
-  DROP_DEFAULT, // mode is not specified
-  DROP_CASCADE, // CASCADE option
-  DROP_RESTRICT // RESTRICT option
-};
-
 typedef List<Item> List_item;
 
 /* SERVERS CACHE CHANGES */
@@ -1491,7 +1466,6 @@
     bool lock_transactional;            /* For LOCK TABLE ... IN ... MODE */
   };
   enum enum_var_type option_type;
-  enum enum_drop_mode drop_mode;
 
   uint profile_query_id;
   uint profile_options;

=== modified file 'server/sql_yacc.yy'
--- server/sql_yacc.yy	2008-07-17 21:07:09 +0000
+++ server/sql_yacc.yy	2008-07-18 22:05:16 +0000
@@ -1057,7 +1057,7 @@
         keycache_list assign_to_keycache
         select_item_list select_item values_list no_braces
         opt_limit_clause delete_limit_clause fields opt_values values
-        opt_precision opt_ignore opt_column opt_restrict
+        opt_precision opt_ignore opt_column
         set lock unlock string_list field_options field_option
         field_opt_list opt_binary table_lock_list table_lock
         ref_list opt_match_clause opt_on_update_delete use
@@ -2577,7 +2577,7 @@
               MYSQL_YYABORT;
           }
           opt_place
-        | DROP opt_column field_ident opt_restrict
+        | DROP opt_column field_ident
           {
             LEX *lex=Lex;
             lex->alter_info.drop_list.push_back(new Alter_drop(Alter_drop::COLUMN,
@@ -2692,12 +2692,6 @@
         | IGNORE_SYM { Lex->ignore= 1;}
         ;
 
-opt_restrict:
-          /* empty */ { Lex->drop_mode= DROP_DEFAULT; }
-        | RESTRICT    { Lex->drop_mode= DROP_RESTRICT; }
-        | CASCADE     { Lex->drop_mode= DROP_CASCADE; }
-        ;
-
 opt_place:
           /* empty */ {}
         | AFTER_SYM ident
@@ -5026,7 +5020,7 @@
 */
 
 drop:
-          DROP opt_temporary table_or_tables if_exists table_list opt_restrict
+          DROP opt_temporary table_or_tables if_exists table_list
           {
             LEX *lex=Lex;
             lex->sql_command = SQLCOM_DROP_TABLE;

